From 8be6a4fcbe56d9fc1041c26bf2cf3cf74ebd79b3 Mon Sep 17 00:00:00 2001
From: Vivek Anand <vivekanand1101@gmail.com>
Date: Oct 05 2016 10:03:31 +0000
Subject: [PATCH 647/1001] some beautification for fedorahosted widget


---

diff --git a/hubs/widgets/fhosted.py b/hubs/widgets/fhosted.py
index 6a54827..c2bcd45 100644
--- a/hubs/widgets/fhosted.py
+++ b/hubs/widgets/fhosted.py
@@ -1,16 +1,15 @@
+from xmlrpclib import ServerProxy
+
+import hubs.validators as validators
 from hubs.widgets.chrome import panel
 from hubs.hinting import hint, prefixed as _
 from hubs.widgets.base import argument
 from hubs.widgets import templating
-import hubs.validators as validators
-import requests
 
 chrome = panel("Fedorahosted: Open Tickets")
 template = templating.environment.get_template('templates/fedorahosted.html')
 position = 'right'
 
-from xmlrpclib import ServerProxy
-
 
 @argument(name="project",
           default=None,
@@ -21,11 +20,17 @@ from xmlrpclib import ServerProxy
           validator=validators.integer,
           help="The number of tickets to display.")
 def data(session, widget, project, n_tickets=4):
+    ''' Data for Fedorahosted widget.
+    Queries Fedorahosted via xmlrpc for tickets. '''
+
     n_tickets = int(n_tickets)
     url = 'https://fedorahosted.org/%s/rpc' % project
     filters = 'status=accepted&status=assigned&status=new&status=reopened'\
         '&col=id&col=summary&col=status&col=owner&col=type&col=priority'\
         '&col=milestone&col=changetime&order=changetime'
+
+    # get the tickets based on the filters
+    # returns a list of ticket ids
     try:
         server = ServerProxy(url)
         tickets = server.ticket.query(filters)
@@ -36,14 +41,13 @@ def data(session, widget, project, n_tickets=4):
 
     output = []
     total_tickets = len(tickets)
-    for idx, ticket in enumerate(tickets):
+    for ticket in tickets[:n_tickets]:
+        # get the details of the ticket
         ticket = server.ticket.get(ticket)
         data = ticket[3]
         data['id'] = ticket[0]
         data['short_summary'] = data['summary'][:45]
         output.append(data)
-        if idx + 1 >= n_tickets:
-            break
 
     return dict(
         project=project,
@@ -54,6 +58,9 @@ def data(session, widget, project, n_tickets=4):
 
 @hint(topics=[_('trac.ticket.update'), _('trac.ticket.new')])
 def should_invalidate(message, session, widget):
+    ''' Checks if the Fedorahosted widget needs an update.
+    Called by backend daemon listening to fedmsg '''
+
     project = widget.config.get('project', '')
     url = 'https://fedorahosted.org/%s/' % project
     if '.trac.ticket' in message['topic']:

